'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _isObject = require('lodash/lang/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

var _isFunction = require('lodash/lang/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ITERATOR_SYMBOL = undefined,
    OLD_ITERATOR_SYMBOL = undefined;

ITERATOR_SYMBOL = (0, _isFunction2.default)(Symbol) && Symbol.iterator;
OLD_ITERATOR_SYMBOL = '@@iterator';

/**
 * @see https://github.com/lodash/lodash/issues/1668
 * @see https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Iteration_protocols
 * @param {Object} target
 * @returns {boolean}
 */

exports.default = function (target) {
    var iterator = undefined;

    if (!(0, _isObject2.default)(target)) {
        return false;
    }

    if (ITERATOR_SYMBOL) {
        iterator = target[ITERATOR_SYMBOL];
    } else {
        iterator = target[OLD_ITERATOR_SYMBOL];
    }

    return (0, _isFunction2.default)(iterator);
};
//# sourceMappingURL=isIterable.js.map
