'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _isBoolean = require('lodash/lang/isBoolean');

var _isBoolean2 = _interopRequireDefault(_isBoolean);

var _isUndefined = require('lodash/lang/isUndefined');

var _isUndefined2 = _interopRequireDefault(_isUndefined);

var _forEach = require('lodash/collection/forEach');

var _forEach2 = _interopRequireDefault(_forEach);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @typedef CSSModules~Options
 * @see {@link https://github.com/gajus/react-css-modules#options}
 * @property {boolean} allowMultiple
 * @property {boolean} errorWhenNotFound
 */

/**
 * @param {CSSModules~Options} userConfiguration
 * @return {CSSModules~Options}
 */

exports.default = function () {
    var userConfiguration = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

    var configuration = undefined;

    configuration = {
        allowMultiple: false,
        errorWhenNotFound: true
    };

    (0, _forEach2.default)(userConfiguration, function (value, name) {
        if ((0, _isUndefined2.default)(configuration[name])) {
            throw new Error('Unknown configuration property "' + name + '".');
        }

        if (!(0, _isBoolean2.default)(value)) {
            throw new Error('"' + name + '" property value must be a boolean.');
        }

        configuration[name] = value;
    });

    return configuration;
};
//# sourceMappingURL=makeConfiguration.js.map
